# Troubleshooting Errors

Error commands in Fetcch API

| Command                             | Description                                                                                                | Troubleshooting                                                                  |
| ----------------------------------- | ---------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------- |
| IncompleteArgs                      | Required arguments not found in URL or Body parameter                                                      | Check request body if method is POST/PATCH or URL param if request method is GET |
| WrongArgs                           | Wrong arguments are found in URL or body parameter                                                         | Remove those arg from URL or body parameters                                     |
| ObjectAlreadyExists                 | Object already exists in the network                                                                       | Try changing arguments                                                           |
| ObjectNotFound                      | Object does not exists in the network                                                                      | Try creating that object first, or chaning arguments                             |
| ObjectNotCreated                    | Object cannot be created in the network                                                                    | Change arguments, there must be an error in the arguments                        |
| ObjectNotUpdated                    | Object cannot be updated in the network                                                                    | Change arguments, there must be an error in the arguments                        |
| SecretKeyNotInHeaders               | Secret key doesn't exist in the headers                                                                    | add `secret-key` in headers                                                      |
| WrongSecretKey                      | using invalid `secret-key`                                                                                 | use valid `secret-key`                                                           |
| RequestObjectWrong                  | address book request is invalid                                                                            | use correct format and values for address book request                           |
| ProviderNotOnChain                  | provider doesn't exists onchain                                                                            | contact us if provider not onchain                                               |
| NotAbleToParseTx                    | not able to parse transaction receipt                                                                      | retry transaction or contact us                                                  |
| IdAndIdentifierNotSame              | `id` and `identifier` are not same                                                                         | use same `id` and `identifier`                                                   |
| IdAndProviderNotSame                | `provider` and provider in `id` is not same                                                                | use same `provider` and in `id`                                                  |
| ExtraDataIsRequired                 | `extraData` is required for updating or creating identity if default address is APTOS                      | add `extaData`                                                                   |
| AddressDoesNotExistsOnIdentity      | address doesn't exist on a specified identity                                                              | use different address                                                            |
| AddressNotExists                    | address doesn't exist on any identity                                                                      | use different address                                                            |
| CannotGenerateMerkleTree            | cannot generate merkle tree for a specified identity                                                       | use different identity or contact us                                             |
| CannotGenerateMerkleProof           | cannot generate merkle proof for specified identity                                                        | use correct address to generate proof against                                    |
| IdentityObjectWrong                 | identity object has invalid values or missing required values                                              | use valid values and keys in identity object                                     |
| InvalidAddress                      | address is invalid for a blockchain                                                                        | use valid address                                                                |
| ChainNotSupported                   | chain is not supported yet by Fetcch                                                                       | contact us to support that chain                                                 |
| InvalidSignature                    | signature is invalid for a blockchain                                                                      | use our guides to generate valid signatures                                      |
| InvalidIdentifier                   | `identifier` is invalid                                                                                    | follow fetcch guidelines for generating identifier                               |
| NonceNotExist                       | `nonce` doesn't exist in a generated message for identity                                                  | regenerate message                                                               |
| InvalidENS                          | ENS is invalid                                                                                             | follow ENS guidelines                                                            |
| ENSDoesntExist                      | ENS doesn't exist                                                                                          | recheck if ENS exists                                                            |
| PayerNotSame                        | payer is not same as mentioned in transaction request                                                      | resend correct payer                                                             |
| CannotBuildTransaction              | some issue while building transaction                                                                      | retry again few minutes or contact us                                            |
| AggregatorNotWorking                | aggregator is not working                                                                                  | retry again few minutes or contact us                                            |
| RouteNotSupported                   | `fromChain` to `toChain` route isn't supported                                                             | contact us and we will add that route on priority                                |
| Aptos + \*                          | Aptos related error                                                                                        | follow correct aptos docs                                                        |
| FromChainNotEVM                     | `fromChain` is not EVM                                                                                     | change `fromChain` to an EVM compaible chain                                     |
| FromChainAndToChainAreSame          | `fromChain` and `toChain` are same for cross chain transactions                                            | change `fromChain` or `toChain`                                                  |
| FromChainNotSolana                  | `fromChain` is not solana                                                                                  | change `fromChain` to Solana                                                     |
| Solana + \*                         | Solana related error                                                                                       | follow correct solana docs                                                       |
| EVM + \*                            | EVM related error                                                                                          | follow correct evm docs                                                          |
| InvalidId                           | `id` is invalid                                                                                            | follow fetcch guidelines for `id`                                                |
| ProviderSecretKeyWrong              | `secret-key` and `provider` aren't same                                                                    | change `secret-key` or `provider`                                                |
| ProviderAndIdentityDelimiterNotSame | `id` 's delimiter and `provider.delimiter` are different                                                   | both delimiter should be same                                                    |
| RateLimited                         | rate limited because can't have more than 5 unresolved transaction request between a pair of address or id | try again after 30mins or after resolving some transaction requests              |
| InvalidTokenAddress                 | token address is invalid                                                                                   | use correct token address                                                        |
| TransactionAmountNotEqual           | transaction amount is not equal to transaction request amount                                              | use correct transaction                                                          |
| WrongTransaction                    | transaction is invalid used for resolving transaction request                                              | use correct transaction                                                          |
| CannotUploadToIpfs                  | cannot upload to ipfs                                                                                      | try again after few minutes or contact us                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fetcch.xyz/how-to-integrate/api-reference/troubleshooting-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
